# iGEM Wiki Starter Pack

<p align="center">
The iGEM Wiki Starter Pack is the easiest way to create your iGEM Wiki.
</p>


<p align="center">
   <a href="https://igem-wiki-starter.readthedocs.io">
      <img src="https://img.shields.io/readthedocs/igem-wiki-starter?logo=Read%20The%20Docs&style=for-the-badge" alt="Documentation Status">
   </a>
   <img src="https://img.shields.io/github/license/igembitsgoa/igem-wiki-starter?style=for-the-badge" alt="License: MIT">
</p>
  

This starter pack contains everything you need to build your wiki, and then some. It comes with a great design out of the box, so you can write your wiki in plain English (well, almost - it's Markdown) and it look good on each device. 

It also makes it really easy for you to customize the design, while still making it possible for everyone in your team to write content in Markdown. Along with common web development libraries like Bootstrap, jQuery, MathJax and Font Awesome, it also includes small utilities that automate tasks like adding citations to your wiki. It automatically pulls title, author and publisher information from an article's DOI and includes them at the end of the page. 

It also comes with our Python package, WikiSync, built in, which uploads your entire wiki at once. WikiSync integrates effortlessly into automation workflows like Github Actions and Travis CI so everytime a team member adds content to your wiki repository on Github, it gets automatically uploaded to iGEM.org.

The starter pack makes building your wiki as easy as writing plain English and uploading, as simple as a `git push`.

Please head over to the [documentation](https://igem-wiki-starter.readthedocs.io) for installation instructions and a usage guide to get started.

**Note:** These docs are currently under development and some sections are incomplete or missing. We're working to put them up as fast as we can, and we'll have a complete draft up here soon. 

Meanwhile, you can take a look at the documentation we use within our team at https://github.com/igembitsgoa/wiki/wiki. It has almost everything about using the included theme and more information about customization will be put up here soon.
  

Features
--------

1. Built-in theme that
   * Looks great on all devices
   * Comes with a dark mode
1. Markdown support
1. Automatic uploads with WikiSync
1. Extract citation information from DOI
1. Automatic table of contents on each page
1. Easy popup definitions
1. Endless customization with Webpack
1. Included common web development libraries
   * Bootstrap
   * jQuery
   * MathJax
   * Font Awesome
1. Extensive templating using Pug
1. Reset styles on iGEM.org


Contribution and Collaboration
------------------------------

Contributions are welcome, and they are greatly appreciated! Every
little bit helps, and credit will always be given.

Please visit our Contributing page to find out how you can help 
make this project better.

Using this software or submitting issues and pull requests can count 
towards a collaboration for our teams. Please give us a shoutout at 
[@igem_bits](https://www.instagram.com/igem_bits) on Instagram if 
this Starter Pack has made your iGEM experience easier! For contibuting 
to this software or discussing further collaborations, please reach out 
to us at igembitsgoa@gmail.com.
